Page MenuHomeFreeBSD

New port: graphics/gmic-qt
ClosedPublic

Authored by tcberner on Sep 30 2017, 10:01 AM.
Tags
None
Referenced Files
F84182017: D12549.id33582.diff
Mon, May 20, 12:25 PM
F84182000: D12549.id34210.diff
Mon, May 20, 12:25 PM
F84181992: D12549.id34431.diff
Mon, May 20, 12:25 PM
F84181983: D12549.id34363.diff
Mon, May 20, 12:24 PM
F84181977: D12549.id33641.diff
Mon, May 20, 12:24 PM
F84181961: D12549.id.diff
Mon, May 20, 12:24 PM
Unknown Object (File)
Fri, May 17, 10:40 AM
Unknown Object (File)
Apr 19 2024, 1:00 PM
Subscribers

Details

Reviewers
rakuco
adridg
mat
Group Reviewers
kde
Commits
rP453103: New port: graphics/gmic-qt
Summary

As mentioned by @rakuco in Diff D12508 kritas gmic stuff now uses the new plugin gmic-qt.

I have yet to figure out where the translation files actually need to be installed to.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

graphics/gmic-qt/Makefile
24 ↗(On Diff #33582)

"cimg"

42 ↗(On Diff #33582)

One space or two before the \ ?

graphics/gmic-qt/pkg-descr
2 ↗(On Diff #33582)

Is gmic-qt seriously also a gimp plugin? If not, remove this line.

tcberner marked an inline comment as done.

Address issues.

tcberner added inline comments.
graphics/gmic-qt/pkg-descr
2 ↗(On Diff #33582)

That's the marketing blurp from the github repo... but yea,...

I can confirm it builds, but I have no idea if it does anything useful; I suppose functional tests need to be done through Krita. The destination to translations seems sensible enough -- SDDM has the same file structure.

This revision is now accepted and ready to land.Oct 3 2017, 9:25 PM

You can run it via filters->gmic from krita -- it seems to do something :D

As mentioned in the krita review, my krita 3.3.0 doesn't see the gmic plugin at all, and no filters can be run. gmic_qt_krita does run as a standaolne program, but does not have the ability to load an image, so I can't tell if it does useful things, either.All I can do is browse the tree of filters.

graphics/gmic-qt/Makefile
37–38 ↗(On Diff #33641)

You need to add a group, otherwise it'll try to fetch from the default github urls too.

41–43 ↗(On Diff #33641)
${DISTNAME}.tar.gz ${DISTFILE_cmig} ${DISTFILE_cimg}
mat requested changes to this revision.Oct 6 2017, 3:51 PM
This revision now requires changes to proceed.Oct 6 2017, 3:51 PM
mat requested changes to this revision.Oct 26 2017, 3:02 PM
mat added inline comments.
graphics/gmic-qt/Makefile
27 ↗(On Diff #34210)
-DGMIC_PATH:STRING="${WRKSRC_gmic}/src"
36 ↗(On Diff #34210)

OPTIONS_SLAVE makes no sense here, it forces the option to be always on, and removes it from the options list. So it makes it a non option.

This revision now requires changes to proceed.Oct 26 2017, 3:02 PM
  • Don't be clever, and use SLAVE_PORT
  • USe ${WRKSRC_gmic}
This revision is now accepted and ready to land.Oct 27 2017, 3:43 PM
This revision was automatically updated to reflect the committed changes.